=== debian/changelog ===
lzallright (0.1.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:02:19 +0200

lzallright (0.1.0-0kali2) kali-dev; urgency=medium

  * Refresh use-current-version patch for pyo3 version

 -- Steev Klimaszewski <steev@kali.org>  Tue, 29 Aug 2023 03:54:58 -0500

lzallright (0.1.0-0kali1) kali-experimental; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 May 2023 17:55:49 +0200
