=== debian/control ===
Source: lzallright
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends: cargo,
               cmake,
               debhelper-compat (= 13),
               dh-sequence-python3,
               librust-criterion-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               librust-pyo3-dev,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               rustc (>= 1.64)
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/vlaci/lzallright

Package: python3-lzallright
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python binding for LZ library (Python 3)
 This package contains a Python 3.8+ binding for LZok_hand library which is a
 minimal, C++14 implementation of the LZO compression format.
 .
 This package installs the library for Python 3.
